> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark all data from an IDV check as captured

> At the end of the IDV data capture process, signal to IDV provider that check is ready to analyse and check. If this call is successful, an entity is created with with any details supplied. This provided entity Id should be used for any subsequent calls



## OpenAPI

````yaml /specs/Identity-Verification-Service-API.json post /idvalidate/initProcess
openapi: 3.0.1
info:
  title: Identity Verification Service API
  description: Frankie IDV API
  contact: {}
  version: 2.0.0
servers:
  - url: https://api.uat.frankie.one/idv/v2
security:
  - api_key: []
paths:
  /idvalidate/initProcess:
    post:
      summary: Mark all data from an IDV check as captured
      description: >-
        At the end of the IDV data capture process, signal to IDV provider that
        check is ready to analyse and check. If this call is successful, an
        entity is created with with any details supplied. This provided entity
        Id should be used for any subsequent calls
      parameters:
        - name: X-Frankie-CustomerID
          in: header
          description: >-
            Customer ID issued by Frankie Financial. This will never change.
            Your API key, which is mapped to this identity, will change over
            time
          required: true
          schema:
            type: string
        - name: X-Frankie-CustomerChildID
          in: header
          description: >-
            If, as a Frankie Customer, you are acting on behalf of your own
            customers, then you can populate this field with a Frankie-assigned
            ID. Note: If using a CustomerChildID, you will also need a separate
            api_key for each child. Any documents, checks, entities that are
            created when this field has been populated will now be tied to this
            CustomerID + CustomerChildID combination. Just as Customers cannot
            see data created by other Customers, so too a Customer's Children
            will not be able to see each other's data. A Customer can see the
            documents/entities and checks of all their Children
          schema:
            type: string
        - name: X-Frankie-Channel
          in: header
          description: >-
            Open string that can be used to define the 'channel' the request
            comes in from. It can potentially be used in routing and risk
            calculations upon request. Default values that can be used are:  api
            portal smartui  Any alphanumeric string is supported though.
            Anything over 64 characters will be truncated
          schema:
            type: string
        - name: api_key
          in: header
          description: >-
            Open string that can be used to define the 'channel' the request
            comes in from. It can potentially be used in routing and risk
            calculations upon request. Default values that can be used are:  api
            portal smartui  Any alphanumeric string is supported though.
            Anything over 64 characters will be truncated
          schema:
            type: string
        - name: X-Frankie-Background
          in: header
          description: >-
            If this header parameter is supplied and set to 1, then the request
            will not wait for the process to finish, and will return a 202 if
            there are no obvious errors in the input. The request will then run
            in the background and send a notification back to the customer. See
            out callback API for details on this.\n\nSee more details here:\n 
            https://apidocs.frankiefinancial.com/docs/asynchronous-calls-backgrounding-processes
          schema:
            type: integer
      requestBody:
        description: >-
          Details of the applicant's check. If OCR results have already been
          gathered, then they should be supplied in the entity
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/models.CheckRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.CheckResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/schema.ErrorObject'
components:
  schemas:
    models.CheckRequest:
      type: object
      properties:
        checkId:
          type: string
          description: provider CheckID
          example: 41cf9401f0f889616bef
        entity:
          $ref: '#/components/schemas/common.EntityObject'
        token:
          type: string
          description: >-
            if no entity has yet been created for this idv check, pass through
            the token instead
          example: 41cf9401f0f889616bef
    models.CheckResponse:
      type: object
      properties:
        checkStatus:
          type: string
          description: >-
            Can be UNCHECKED, NOT_SUPPORTED, CHECKING, UNPROCESSABLE, NO_MATCH,
            CHECKED_PARTIAL_SUCCESS, CHECKED_SUCCESS_WITH_NOTES,
            CHECKED_SUCCESS_CLEAR, CHECKED_FAILED
          example: CHECKING
        entity:
          $ref: '#/components/schemas/common.EntityObject'
    schema.ErrorObject:
      type: object
      properties:
        errorCode:
          type: string
          description: Frankie error code
        errorMsg:
          type: string
          description: Will describe the error
        issues:
          type: array
          items:
            $ref: '#/components/schemas/schema.ErrorIssue'
        requestId:
          type: string
    common.EntityObject:
      type: object
      properties:
        addresses:
          type: array
          description: Collection of address objects
          items:
            $ref: '#/components/schemas/common.AddressObject'
        dateOfBirth:
          $ref: '#/components/schemas/common.DOBObject'
        entityId:
          type: string
          description: >-
            When an entity is first created, it is assigned an ID. When updating
            an entity, make sure you set the entityId

            One exception to this is when an entity is created from a document
            object. It is expected that this object would be passed into a
            /check or /entity call to set it.


            Format: uuid
        entityProfile:
          type: string
          description: >-
            If the entity is using the new profiles feature, then their profile
            name will be found here.


            Note: If setting a profile, you must ensure that the profile matches
            a known configuration.


            See here for valid values:
              https://apidocs.frankiefinancial.com/docs/test-entity-verification
        entityType:
          type: string
          description: entity type
        extraData:
          type: array
          description: >-
            Set of key-value pairs that provide arbitrary additional
            type-specific data. You can use these fields to store external IDs,
            or other non-identity related items if you need to.

            If updating an existing entity, then existing values with the same
            name will be overwritten. New values will be added.


            See here for more information about possible values you can use:
              https://apidocs.frankiefinancial.com/docs/key-value-pairs
          items:
            $ref: '#/components/schemas/common.KeyValuePairObject'
        flags:
          type: array
          description: >-
            Used to set additional information flags with regards to this entity
            and for ongoing processing.


            Flags might include having the entity (not) participate in regular
            pep/sanctions screening

            Others will follow over time
          items:
            $ref: '#/components/schemas/common.EntityFlagObject'
        gender:
          type: string
          description: gender
        identityDocs:
          type: array
          description: Collection of identity documents (photos, scans, selfies, etc)
          items:
            $ref: '#/components/schemas/common.IdentityDocumentObject'
        name:
          $ref: '#/components/schemas/common.PersonalNameObject'
        organisationData:
          $ref: '#/components/schemas/common.OrganisationDataObject'
    schema.ErrorIssue:
      type: object
      properties:
        issue:
          type: string
          description: Description of the problem
        issueLocation:
          type: string
          description: Will describe the field or data location of the issue
    common.AddressObject:
      type: object
      properties:
        addressId:
          type: string
          description: >-
            As addresses are added to an entity, they're assigned an id to
            assist with tracking.


            If you're adjusting an address, you will need to include the
            addressId so as to be able to reference it correctly in the list.


            Format: uuid
        addressType:
          type: string
          description: address type
        buildingName:
          type: string
          description: The name of the building, apartment block, condo, etc
        careOf:
          type: string
          description: >-
            Individual or business name at this address if not the same as the
            name of the entity to which this address belongs
        country:
          type: string
          description: >-
            The ISO-3166-1 country. You must use the alpha3 country code (e.g.
            AUS, USA, IDR, KOR, etc) We'll convert as needed.


            See: https://en.wikipedia.org/wiki/ISO_3166-1


            Required: true
        endDate:
          type: string
          description: >-
            The date this address was no longer used (if available). Used mostly
            with business addresses.


            Format: date
        extraData:
          type: array
          description: >-
            Set of key-value pairs that provide arbitrary additional
            type-specific data. This data will typically not be visible in the
            Frankie Portal.

            If updating an existing address, then existing values with the same
            name will be overwritten. New values will be added.


            See here for more information about possible values you can use:
              https://apidocs.frankiefinancial.com/docs/key-value-pairs
          items:
            $ref: '#/components/schemas/common.KeyValuePairObject'
        longForm:
          type: string
          description: >-
            In some cases, the address will need to be supplied in "long form",
            such as when it is determined from a document scan, or is
            un-parsable in some way.

            The service will attempt to convert it to it's constituent parts
            where possible.


            WARNING: Use of longForm is not guaranteed to produce perfect
            results, due to the variety of potential formats. You've been
            warned.

            Failure to break down or disambiguate the address will result in an
            error
        postalCode:
          type: string
          description: The post code of the address
        region:
          type: string
          description: The county, province, cantonment
        startDate:
          type: string
          description: >-
            The date this address first because active. Used mostly with
            business addresses.


            Format: date
        state:
          type: string
          description: The state. Use local abbreviations, such as VIC(toria) or TX (Texas)
        streetName:
          type: string
          description: >-
            The name of the street


            This field can in fact be a bit flexible, potentially containing the
            streetNumber and streetType as well. Most services in use can work
            it out.


            If this field has been auto-populated by Google (see writeup here:


            https://apidocs.frankiefinancial.com/docs/working-with-addresses

            then the bulk of the address will be in this field.


            If you can avoid it though, please try and keep things separate
        streetNumber:
          type: string
          description: >-
            The number on the street. Generally a number, but can also be
            alphanumeric (e.g. 3A)
        streetType:
          type: string
          description: The street "type" - e.g. Road, St, Ave, Circuit, etc
        suburb:
          type: string
          description: >-
            The suburb in the town/city. Only use this if you require a suburb
            AND a town/city, otherwise, just use the "town" parameter
        town:
          type: string
          description: The town/village/suburb/city
        unitNumber:
          type: string
          description: Unit/Apartment/Flat/Suite/etc number
        unstructuredLongForm:
          type: string
          description: unstructured long form
    common.DOBObject:
      type: object
      properties:
        country:
          type: string
          description: >-
            ISO-3166-1 code for the country of birth. You must use the alpha3
            country code (e.g. AUS, USA, IDR, KOR, etc) We'll convert as needed.


            See https://en.wikipedia.org/wiki/ISO_3166-1
        dateOfBirth:
          type: string
          description: |-
            Date of Birth in YYYY-MM-DD format
            Format: date
        locality:
          type: string
          description: >-
            Place of birth other than country If locality is given, then country
            must also be provided
        unstructuredDateOfBirth:
          type: string
          description: unstructured date of birth
        yearOfBirth:
          type: string
          description: >-
            Year of birth or "unknown". This will be autoextracted if
            dateOfBirth is supplied
    common.KeyValuePairObject:
      type: object
      properties:
        kvpKey:
          type: string
          description: Name of the data
        kvpType:
          type: string
          description: kvp type
        kvpValue:
          type: string
          description: Value of the data
    common.EntityFlagObject:
      type: object
      properties:
        flag:
          type: string
          description: Name of the flag
        value:
          type: integer
          description: flag value
    common.IdentityDocumentObject:
      type: object
      properties:
        country:
          type: string
          description: >-
            The ISO-3166-alpha3 country code of the issuing national. Once set,
            this cannot be changed.


            See https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes for
            more


            Required: true
        createdFromScan:
          type: boolean
          description: >-
            This document's data was initially created from scanned and
            processed images. The value cannot be set manually and any attempt
            to do so will just be ignored.


            Read Only: true
        docScan:
          type: array
          description: >-
            Collection of one or more objects that describe scan(s) that need to
            be put through OCR or facial recognition. These should all be from
            the one ID document, such as front/back, or page 1, 2, 3, etc. You
            can upload multiple scans in a single call, or in multiple calls.

              Note: if you do upload over multiple calls, make sure you include the documentId (see above), and indicate that this is happening with a "more_data" checkAction
          items:
            $ref: '#/components/schemas/common.ScannedDocumentObject'
        documentId:
          type: string
          description: >-
            When an ID document is created/uploaded, it is assigned a
            documentId. You'll see this in a successful response or successfully
            accepted response. This can then be referenced in subsequent calls
            if you're uploading more/updated data.


            Format: uuid
        documentStatus:
          type: string
          description: document status
        extraData:
          type: array
          description: >-
            Set of key-value pairs that provide ID type-specific data. If
            updating an existing document, then existing values with the same
            name will be overwritten. New values will be added.


            If this document is scanned through OCR or similar processes, then
            extracted data will be found here (Some may be used to populate
            other fields like idNumber and idExpiry as well)
          items:
            $ref: '#/components/schemas/common.KeyValuePairObject'
        idExpiry:
          type: string
          description: |-
            The expiry date of the document (if known) in YYYY-MM-DD format.
            Format: date
        idIssued:
          type: string
          description: |-
            The issued date of the document (if known) in YYYY-MM-DD format.
            Format: date
        idNumber:
          type: string
          description: The ID number of the document (if known)
        idSubType:
          type: string
          description: The sub-type of identity document. Very document specific
        idType:
          type: string
          description: |-
            id type
            Required: true
        manuallyModified:
          type: boolean
          description: >-
            If this document was originally populated from scanned data, then
            manually adjusted (e.g. if the scan's results weren't 100% correct
            or data was missing), then this will be set to true. The value
            cannot be set manually and any attempt to do so will just be
            ignored.


            Read Only: true
        region:
          type: string
          description: |-
            Regional variant of the ID (e.g. VIC drivers licence)

            You should always use the local abbreviation for this.
            E.g.
              - VIC for The Australian state of Victoria
              - MA for the US state of Massachusetts
              - etc
    common.PersonalNameObject:
      type: object
      properties:
        displayName:
          type: string
          description: >-
            In some cases, the name will need to be supplied in "long form",
            such as when it is determined from a document scan, or is
            un-parsable in some way.

            The service will attempt to convert it to it's constituent parts
            where possible
        familyName:
          type: string
          description: |-
            Family name / Surname of the individual.
            Required: true
        givenName:
          type: string
          description: First / Given name
        honourific:
          type: string
          description: Mr/Ms/Dr/Dame/Dato/etc
        middleName:
          type: string
          description: Middle name(s) / Initials
    common.OrganisationDataObject:
      type: object
      properties:
        adverseCreditDataPresent:
          type: boolean
          description: adverse credit data present
        aliases:
          type: array
          description: aliases
          items:
            type: string
        blockingReasons:
          type: array
          description: blocking reasons
          items:
            $ref: '#/components/schemas/common.OrganisationDataObjectBlockingReason'
        class:
          $ref: '#/components/schemas/common.CodeDescription'
        contactDetails:
          $ref: '#/components/schemas/common.OrganisationDataObjectContactDetails'
        disclosingEntityIndicator:
          type: boolean
          description: disclosing entity indicator
        includesNonBeneficiallyHeld:
          type: boolean
          description: includes non beneficially held
        industryCodes:
          type: array
          description: industry codes
          items:
            $ref: '#/components/schemas/common.IndustryCodesObject'
        industryDeclarations:
          type: array
          description: industry declarations
          items:
            $ref: '#/components/schemas/common.IndustryDeclarationsObject'
        kycCustomerType:
          type: string
          description: kyc customer type
        lastCheckDate:
          type: string
          description: |-
            last check date
            Format: date
        legalFormDetails:
          $ref: '#/components/schemas/common.OrganisationDataObjectLegalFormDetails'
        normalisedLegalStatus:
          type: string
          description: normalised legal status
        ownershipResolved:
          type: boolean
          description: ownership resolved
        registeredName:
          type: string
          description: registered name
        registration:
          $ref: '#/components/schemas/common.OrganisationDataObjectRegistration'
        registries:
          $ref: '#/components/schemas/common.Registries'
        reviewDate:
          type: string
          description: |-
            review date
            Format: date
        shareStructure:
          type: array
          description: share structure
          items:
            $ref: '#/components/schemas/common.ShareStructureObject'
        startDate:
          type: string
          description: |-
            start date
            Format: date
        status:
          $ref: '#/components/schemas/common.CodeDescription'
        subType:
          $ref: '#/components/schemas/common.CodeDescription'
        subclass:
          $ref: '#/components/schemas/common.CodeDescription'
        type:
          $ref: '#/components/schemas/common.CodeDescription'
    common.ScannedDocumentObject:
      type: object
      properties:
        ScanDelete:
          type: boolean
          description: >-
            Used as a way of indicating to the service that the original scanned
            document is not to be kept after it has been processed. We will
            retain any metadata and the results of processing (where required by
            regulation or the customer), but the original file uploaded will
            eventually be remnoved once processing is complete.


            If ScanDelete is set to true, any call with /full at the end will
            still not return the file contents, regardless of whether the file
            has been deleted yet (the deletion process is a background task that
            can take a few minutes to occur)
        scanCreated:
          type: string
          description: >-
            The date and time the scan was created. Not the date of the scanned
            document, which should be in the idIssued attribute of the document
            that owns this scan.


            Format: date-time
        scanData:
          type: string
          description: >-
            Base64 encoded string of a photo or scan of an ID document to be
            verified. If supplied and of a supported type, the Frankie service
            will attempt to use OCR tech to extract the data from the scanned
            doc/image.


            In a result message, this field will be left blank, unless the
            "full" action is requested.


            Format: byte
        scanDataRetrievalState:
          type: string
          description: scan data retrieval state
        scanDocId:
          type: string
          description: >-
            When an document scan is created/uploaded, it is assigned a
            scanDocId. You'll see this in a successful response or successfully
            accepted response. This can then be referenced in subsequent calls
            if you're uploading more/updated data.


            Format: uuid
        scanFilename:
          type: string
          description: >-
            If you're uploading a file where it's important to keep the original
            filename, then you can provide that here. Otherwise the Frankie
            service will assign an arbitrary name based on the scanDocIdand an
            extension based on the MIME type
        scanMIME:
          type: string
          description: scan m i m e
        scanPageNum:
          type: integer
          description: >-
            If uploading multiple pages - it's handy to keep a track of these.
            There is no enforcement of these numbers at all. You can have 10
            page 1's and a page 29 if you wish.


            Minimum: 0
        scanSide:
          type: string
          description: >-
            scan side, either F for front or B for back. For single page
            documents, use F to indicate the page
        scanType:
          type: string
          description: scan type
    common.OrganisationDataObjectBlockingReason:
      type: object
      properties:
        candidates:
          type: array
          description: candidates
          items:
            $ref: '#/components/schemas/common.BlockingReasonCandidate'
        description:
          type: string
          description: description
        type:
          type: string
          description: type
    common.CodeDescription:
      type: object
      properties:
        code:
          type: string
          description: code
        description:
          type: string
          description: description
    common.OrganisationDataObjectContactDetails:
      type: object
      properties:
        email:
          type: string
          description: email
        faxNumber:
          type: string
          description: fax number
        telephoneNumber:
          type: string
          description: telephone number
        websiteURL:
          type: string
          description: website URL
    common.IndustryCodesObject:
      type: object
      properties:
        code:
          type: string
          description: code
        description:
          type: string
          description: description
    common.IndustryDeclarationsObject:
      type: object
      properties:
        description:
          type: string
          description: description
        language:
          type: string
          description: language
    common.OrganisationDataObjectLegalFormDetails:
      type: object
      properties:
        basis:
          type: string
          description: basis
        capital:
          type: string
          description: capital
        comments:
          type: string
          description: comments
        control:
          type: string
          description: control
        incorp:
          type: string
          description: incorp
        partner:
          type: string
          description: partner
        responsibility:
          type: string
          description: responsibility
        stocks:
          type: string
          description: stocks
    common.OrganisationDataObjectRegistration:
      type: object
      properties:
        countryIso:
          type: string
          description: country iso
        date:
          type: string
          description: |-
            date
            Format: date
        number:
          type: string
          description: number
        previousNumber:
          type: string
          description: previous number
        registryCode:
          type: string
          description: registry code
        registryDescription:
          type: string
          description: registry description
        state:
          type: string
          description: state
        unstructuredDate:
          type: string
          description: unstructured date
        unstructuredFoundationDate:
          type: string
          description: unstructured foundation date
    common.Registries:
      type: object
      properties:
        abr:
          $ref: '#/components/schemas/common.Abr'
    common.ShareStructureObject:
      type: object
      properties:
        amountDue:
          type: number
          description: amount due
        amountPaid:
          type: number
          description: amount paid
        classCode:
          type: string
          description: class code
        classTitle:
          type: string
          description: class title
        docNumber:
          type: string
          description: doc number
        docNumberQualifier:
          type: string
          description: doc number qualifier
        sharesIssued:
          type: integer
          description: shares issued
        status:
          type: string
          description: status
    common.BlockingReasonCandidate:
      type: object
      properties:
        address:
          type: string
          description: address
        code:
          type: string
          description: code
        countryIso:
          type: string
          description: country iso
        registeredName:
          type: string
          description: registered name
        registryDescription:
          type: string
          description: registry description
        subdivision:
          type: string
          description: subdivision
    common.Abr:
      type: object
      properties:
        abn:
          type: string
          description: abn
        acn:
          type: string
          description: acn
        addresses:
          type: array
          description: addresses
          items:
            $ref: '#/components/schemas/common.MainBusinessPhysicalAddress'
        businessNames:
          type: array
          description: business names
          items:
            $ref: '#/components/schemas/common.BusinessName'
        charityEndorsements:
          type: array
          description: charity endorsements
          items:
            $ref: '#/components/schemas/common.CharityEndorsement'
        charityTypes:
          type: array
          description: charity types
          items:
            $ref: '#/components/schemas/common.CharityType'
        description:
          type: string
          description: description
        dgrEndorsements:
          type: array
          description: dgr endorsements
          items:
            $ref: '#/components/schemas/common.DgrEndorsement'
        gst:
          type: array
          description: gst
          items:
            $ref: '#/components/schemas/common.GoodsAndServicesTax'
        historicalChanges:
          type: array
          description: historical changes
          items:
            $ref: '#/components/schemas/common.HistoricalChange'
        lastUpdated:
          type: string
          description: |-
            last updated
            Format: date-time
        name:
          type: string
          description: name
        registeredDate:
          type: string
          description: |-
            registered date
            Format: date-time
        status:
          type: string
          description: status
        statusEffectiveFrom:
          type: string
          description: status effective from
        type:
          type: string
          description: type
        typeCode:
          type: string
          description: type code
        updatedDate:
          type: string
          description: |-
            updated date
            Format: date-time
    common.MainBusinessPhysicalAddress:
      type: object
      properties:
        effectiveFrom:
          type: string
          description: |-
            effective from
            Format: date-time
        effectiveTo:
          type: string
          description: |-
            effective to
            Format: date-time
        postcode:
          type: string
          description: postcode
        stateCode:
          type: string
          description: state code
    common.BusinessName:
      type: object
      properties:
        effectiveFrom:
          type: string
          description: |-
            effective from
            Format: date-time
        effectiveTo:
          type: string
          description: |-
            effective to
            Format: date-time
        name:
          type: string
          description: name
        type:
          type: string
          description: type
    common.CharityEndorsement:
      type: object
      properties:
        effectiveFrom:
          type: string
          description: |-
            effective from
            Format: date-time
        effectiveTo:
          type: string
          description: |-
            effective to
            Format: date-time
        type:
          type: string
          description: type
    common.CharityType:
      type: object
      properties:
        description:
          type: string
          description: description
        effectiveFrom:
          type: string
          description: |-
            effective from
            Format: date-time
        effectiveTo:
          type: string
          description: |-
            effective to
            Format: date-time
    common.DgrEndorsement:
      type: object
      properties:
        endorsedFrom:
          type: string
          description: |-
            endorsed from
            Format: date-time
        endorsedTo:
          type: string
          description: |-
            endorsed to
            Format: date-time
    common.GoodsAndServicesTax:
      type: object
      properties:
        effectiveFrom:
          type: string
          description: |-
            effective from
            Format: date-time
        effectiveTo:
          type: string
          description: |-
            effective to
            Format: date-time
    common.HistoricalChange:
      type: object
      properties:
        businessName:
          type: array
          description: business name
          items:
            type: string
        date:
          type: string
          description: |-
            date
            Format: date-time
        entityStatus:
          type: array
          description: entity status
          items:
            type: string
        goodsAndServicesTax:
          type: array
          description: goods and services tax
          items:
            type: string
        mainBusinessPhysicalAddress:
          type: array
          description: main business physical address
          items:
            type: string
        mainName:
          type: array
          description: main name
          items:
            type: string
        mainTradingName:
          type: array
          description: main trading name
          items:
            type: string
  securitySchemes:
    api_key:
      type: apiKey
      name: api_key
      description: API key issued by FrankieOne. This will rotate regularly
      in: header

````